
:root{
    --black:#131312;;
    --primary_color:#090f1f;
    --sidebar:#111727;
    --backroud_color:#0B1420;
    --text-color:#4c5262;
    --primary: rgb(245, 104, 104);
    --active:rgb(105, 105, 170,.1); 
    --secondary: #f4f4f4;
    --linear_color:linear-gradient(102.2deg, rgb(250, 45, 66) 9.6%, rgb(245, 104, 104) 96.1%);
}
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: var(--sidebar)
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: var(--linear_color);
    height: 10vh;
  }
  
  a{
    text-decoration: none;
  }
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: var(--linear_color);
  }

.white-text{
    color: white;
}
.global_artist{
    text-transform: capitalize;
}
.play_controls {
    
    display: flex;
    gap: 30px;
    margin-bottom: 20px;
    margin-left: -25px;

}
/* .center_play{
    background: var(--linear_color) !important;
    width: 2rem;
    aspect-ratio: 1;
    border-radius: 50%;
    padding: 10px;
    font-size: 15px !important;
  } */

h1 span{
    font-style: italic;
    color: var(--primary);
    font-weight: 900;
    font-size: 30px;
    margin-right: 10px;
    font-family: 'Great Vibes', cursive;
}
.small_screen_logo{
    display: none;
}
body{
    background: var(--black);
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    overflow-x: hidden;
    /* font-family: 'Great Vibes', cursive; */
    /* font-family: 'Dancing Script', cursive; */
/* font-family: 'Great Vibes', cursive; */
font-family: 'Kanit', sans-serif;
    color: var(--text-color);
    font-size: 12px !important;

}

.wrapper{
    background: var(--backroud_color);
    /* width: calc(100% - 250px); */
    width: 90%;
    height: 100vh;
    position: relative;
    overflow-x: hidden;
    padding: 0;
    gap: 0;
}


/* === sidebar */

.sidebar{
    position: absolute;
    background: var(--primary_color);
    width: 25%;
    height: 100vh;
    border: 0px solid red;
    padding-left: 20px;
    font-size: 13px !important;
    overflow-y: auto;
}

/* .middle_header span{

    color: var(--primary);
    font-weight: 900;
    font-size: 15px;
  
} */
.middle_header{
    margin-top: 2rem;
}

.musi_images{
    width: 2rem;
    height: 2rem;
}
.music_content{
    display: flex;
    gap: 2rem;
    transition: all ease 0.5s;
    cursor: pointer;
}

.active_music{
    background:rgb(105, 105, 170,.1); 
    position: relative;
}
.active_music::before{
    content: "";
    position: absolute;
    background: var(--linear_color);
    width: 0.3%;
    height: 100%;
    top: 0;
    left: 0;
}
/* .music_grid{
    display: grid;
    grid-template-columns: 50% 50%;
} */
.artist_content{
    display: flex;
    flex-direction: column;
    padding-top: -15px;
    padding-left:-10px;
}
.artist_content span{
    font-size: 12px;
}
.music_title{
    color: white;
    text-transform: uppercase;
    font-weight: 900;
    /* font-size: 11px !important; */
}
/* ==== end of sidber */




/* ==== navbar */
nav{
    width: 75%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: absolute;
    right:0;
    height: 10%;
    top: 0;
    /* background: green; */
    z-index: 2;
}

.header_ul{
    list-style-type: none;
}
.sidar_ul{
    padding: 5px 10px;
    list-style-type: circle;

    text-transform: capitalize;
    line-height: normal;
}
.sidar_ul li{
    letter-spacing: 1px;
    line-height: 2rem;
    font-size: 13px;
}
.span{
    width: 100%;
    height: 5%;
    background: var(--linear_color);
    display: flex;margin-top: 5px;
    border-radius: 20px;
    visibility: hidden;
    transition: all ease 0.5s;
}
.nav_active{
    visibility: visible;
}
li{
    transition: all ease 0.5s;
}
 li:hover{
    color: white;
    cursor: pointer;
 }
.left{
    display: flex;
    flex-direction: row;
    gap: 1rem;
    text-transform: uppercase;
    font-size: 14px !important;
}
.dropbtn{
    text-transform: uppercase;
    font-size: 14px !important;
}
.text-color{
    color: var(--primary) !important;
    font-size: 15px !important;
}
.small_span{
    font-weight: 900;
    gap: 2rem;
    width: 5%;
    display: grid;
    grid-template-columns: 50% 50%;
    color: var(--primary);
    font-size: 15px !important;
}
.small_span span{
    font-weight: 900;
    font-size: 16px !important;
    margin-top: -6px;
}
.right{
display: grid;
grid-template-columns: 70% 30%;
gap: 3rem;
margin-left: 45px;
}
.search_input {
    width: 100% !important;
    border-radius: 20px;
    border: none;
    background: rgba(184, 184, 184, 0.1);
    backdrop-filter: blur(5px);
    font-size: 10px;
    position: relative;
    padding: 8px;
    color: gray;
}
.search_input:focus{
    border: none;
}
.search_input:focus-visible{
    border: none;
}


.header_img{
    width:3rem;
    height:3rem;
    border-radius: 50%;
    margin-bottom: 20px;
}
.drop_img{
    width:2rem;
    height:2rem;
    border-radius: 50%; 
    margin-top: 5px;
    transition: all ease 0.5s;
    margin-right: 20px;
}
.drop_content{
    display: flex;
    justify-content: space-between;
    padding: 5px;
    font-weight: 900;
    transition: all ease 0.5s;
}
.drop_content:hover{
    background: var(--linear_color);
    color: white;
    border-radius: 10px;
}
.drop_content:hover .drop_img{
   border: 2px solid white;
}
.drop_art{
    padding-left: 20px;
}
/* ====== end of navbar */

/* artist */

.diplay_artist{
    position: absolute;
    top: 0.5%;
    right: 0;
    /* background: red; */
    width: 75%;
    height: 50vh;
    display: grid;
    grid-template-columns: 35% 65%;
    overflow: hidden;
    /* background: red; */
    z-index: 1;
}

.display_art_img{
    background-image: url("./bg.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-right: 3rem;
    /* border: 1px solid green; */
}
.art_name{
   margin-top: 4rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    text-align: center;
    margin-left: 2rem;
/*     
    background: red; */

}
.content{
width: calc(100% - 250px);
 display: flex;
 flex-direction: column;
 overflow: hidden;

 
}

.art_name h1{
    color: white;
    font-weight: 900;
    font-size: 25px !important;
}
h1{
    color: white;
    font-weight: 900;
    font-size: 18px !important;
}
.btns{
    margin-top: 15px;
    gap: 2rem;
    padding: 0;
}
.general_btn{
    width: 45%;
    padding: 5px;
    background: transparent;
    border: 2px solid var(--primary);
    border-radius: 20px;
    color: white;
    transition: all ease 0.5s;
}
.general_btn:hover{
    background: var(--linear_color);
    border: 2px solid  white;
    color: white;
    cursor: pointer;
}
.btn_active{
    background: var(--linear_color);
    border: 2px solid  white;
    color: white;
    transition: all ease 0.5s;
}
.btn_active:hover{
    background: transparent;
    border: 2px solid white;
    border-radius: 20px;
    color: var(--primary);
    transition: all ease 0.5s;
}
/* end of artist */

/* == content */
.popular_songs{
    position: absolute;
    top: 30%;
    left: 25%;
    margin-left: 3rem;
    margin-top: 4rem;
    overflow: hidden;
}
.popular_songs_heard{
    position: absolute;
    top: 32%;
    left: 25%;
    margin-left: 3rem;
}

.popular_artist{
    position: absolute;
    top:55%;
    left: 25%;
    margin-left: 3rem;
    margin-top: 4rem;
}
.popular_artist_heard{
    position: absolute;
    top: 56%;
    left: 25%;
    margin-left: 3rem;
}
.carousel_image{
    width: 70% !important;
}
.popular_artist img {
    border-radius: 50%;
    width: 70% !important;
}


canvas {
  
    color: var(--primary);
    bottom: 0;
    position: absolute;
    left: 27%;
  }

.owl-nav{
color: var(--primary) !important;
background: var(--linear_color);
position: absolute;
bottom: 20rem;
margin-left: 20%;
}

.main_footer{
    background: var(--primary_color);
    width: 100%;
    height: 10%;
    position: absolute;
    bottom: 0;
    display: flex;
    justify-content: center;
    box-shadow: var(--primary_color) 0px 50px 100px -20px, var(--linear_color) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}
.audio_container{
    display: grid;
    grid-template-columns: 20% 10% 70% 20% ;
    /* background: red; */
    width: 100%;
}
.player_button{
    background:transparent;
    color: white;
    height: 20%;
    padding: 5px;
    font-size: 15px !important;
    border: none;
}
.controls{
    position: absolute;
    /* background: yellow; */
    left: 30%;
    top: 16%;
    transform: translateY(15%);
    gap: 1rem;
    /* background: yellow; */
    display: flex;
}
.player_button:hover{

    cursor: pointer;

}





.volume{
    position: absolute;
    right: 0;
    margin-right: 1rem;
    top: 25%;
    transform: translateY(25%);
    font-size: 14px !important;
    color: white;
    font-weight: 900;
    width: 20%;
    display: grid;
    grid-template-columns: 20% 80%;
}
.v_icon{
    margin-left: 25px;
    margin-top: -2%
}
.v_progress{
    width: 100%;
    height: 30%;
    background: var(--active);
    position: relative;
    margin-top: 3.5%
}
.v_befor{
    content: "";
    width: 1%;
    height: 100%;
    background: var(--linear_color);
    position: absolute;
    border-radius: 20px;
}

.v_after{
    content: "";
    width: 5%; /* Width and height are equal for a circle */
    aspect-ratio: 1;
    border: 2px solid var(--primary);
    position: absolute;
    border-radius: 50%; /* Use 50% for a circle */
    top: 50%; /* Adjust top position to center vertically */
    transform: translateY(-50%);
    left: 2%; /* Adjust left position to center horizontally */
}
.v_seek:hover{
    cursor: pointer;
}

.progressbar{
    display: grid;
    grid-template-columns: 5% 90% 5%;
    position: absolute;
    left:  36%;
    width: 40%;
    top: 25%;
    transform: translateY(25%);
    margin-left: 2rem;
    /* background: red; */
    padding: 0;
}

.progress{
    width: 100%;
    height: 30%;
    background: var(--active);
    position: relative;
    margin-top: 1.5%;
    margin-left: 5px;
}

.progress_befor{
    content: "";
    width:0%;
    height: 100%;
    background: var(--linear_color);
    position: absolute;
    border-radius: 20px;
}

.progress_after {
    content: "";
    width: 2%; /* Width and height are equal for a circle */
    aspect-ratio: 1;
    border: 2px solid var(--primary);
    position: absolute;
    border-radius: 50%; /* Use 50% for a circle */
    top: 50%; /* Adjust top position to center vertically */
    transform: translateY(-50%);
    left: 0%; /* Adjust left position to center horizontally */
}

.seek:hover{
    cursor: pointer;

}


.time_remaining{
    margin-left: 15px;
    color: white;
}
.counting_timer{
    color: white;
    padding-right: 1rem;
}
.music_parent{
    display: grid;
    grid-template-columns: 80% 20%;
    padding: 10px;
    margin-top: 10px;
}
.music_parent:hover{
    background:rgb(105, 105, 170,.1);
    cursor: pointer;
}
.artist{
    padding-top: -5px;
}
.all_play_icon{
    margin-top: 4px;
    /* color: var(--) !important; */
    color: white;
    background: transparent;
    border: 0px;
    z-index: 5;
}
.favorites{
    color: var(--primary)
}
.play_music:hover{
    cursor: pointer;
}
.all_play_icon:hover{
    cursor: pointer;
}
.dropbtn {
    background: transparent;
    color: var(--text-color);
    /* padding: 5px; */
    /* font-size: 16px; */
    border: none;
    cursor: pointer;
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropdown {
    position: relative;
    display: inline-block;
  }
  
  /* Dropdown Content (Hidden by Default) */
  .dropdown-content {
    display: none;
    position: absolute;
    border: none;
    font-size: 13px;
    min-width: 400px;
    max-height: 400px;
    overflow: scroll;
    background: linear-gradient(102.2deg, rgba(255, 255, 255, 0.08) 9.6%, rgba(255, 255, 255, 0.05) 96.1%);
    border-radius: 10px;
    backdrop-filter: blur(10px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1;
  }
  
  /* Links inside the dropdown */
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {background-color: #f1f1f1}
  
  /* Show the dropdown menu on hover */
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* Change the background color of the dropdown button when the dropdown content is shown */
  .dropdown:hover .dropbtn {
    background-color: transparent;
    color: white;
  }
#musicBarsContainer {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    height: 100px;
    background:transparent;
    padding: 5px;
    bottom: 8px;
    left: 2px;
    position: absolute;
  }
  
  .musicBar {
    width: 4px;
    margin: 0 2px;
    background: var(--linear_color);
    animation: musicBarAnimation 0.3s infinite alternate;
    animation-play-state: paused;
    animation-duration: unset;
  }
  
  @keyframes musicBarAnimation {
    from {
      height: 10%;
    }
    to {
      height: 30%;
    }
  }
  .playing_artist{
    position: relative;
    background-color: var(--backroud_color);
    width: 24vw !important;
    z-index: 5;

}
.playing_img{
    width: 15%;
    right:80%;
    position: absolute;
    top: 15px;
}
  .artplay_name{
    position: absolute;
    right: 0%;
    bottom: 20%;
    display: flex;
    gap: 0;
    flex-direction: column;
    flex-wrap: wrap;
    width: 60%;
    margin-right: -20px;
  }
  .playing_name{
    color: white !important;
    font-size: 14px !important;
    font-weight: 900;
    display: flex;
    flex-wrap: wrap;
  }
/* .small_play_list{
    display: flex;
   flex-direction: column;
} */


/* Target smaller screens (mobile devices) */
@media (max-width: 768px) {
    .small_screen_logo{
        display:flex;
        justify-content: center;
        margin-top: 10px;
        position: absolute;
        right: 2%;
        top: 0;
        margin-top: -10px;
        margin-bottom: 100px;
        font-size: 9px !important;
        z-index: 100;
    }
    .following{
        display: none;
    }
    .dropdown-content {
        display: none;
        position: absolute;
        border: none;
        font-size: 13px;
        min-width: 250px;
        max-height: 400px;
        z-index: 20;
      }
   
    .sidebar{
        /* position: absolute;
        background: var(--primary_color); */
        width:100%;
        max-height: 40vh;
        right: 0;
        top: 35%;
        z-index:1;
        background: transparent;
        /* border: 0px solid red;
        padding-left: 20px;
        font-size: 13px !important;
        overflow-y: auto; */
    }
    .sidebar_header{
        display: none;
    }
    .wrapper{
        width: 100vw;
    }

    nav{
        width: 100%;
            display: grid;
            grid-template-columns: 1fr;
            z-index: 2;
        }
        .right {
            display: grid;
            grid-template-columns: 70% 30%;
            gap: 3rem;
            margin-left:0;
        }
    .carousel_image{
        width: 50% !important;
    }
    .popular_artist img {
        border-radius: 50%;
        width: 50% !important;
    }

    .popular_songs{
        position: absolute;
        top: 34%;
        left: 0%;
        width: 100%;
        /* margin-left: 3rem;
        margin-top: 4rem; */
        margin-left: 5px;
        overflow: hidden;
        padding-left:10px;
        display: none !important;

    }
    no-js .owl-carousel, .owl-carousel.owl-loaded {
        display: none !important;
    }
    .popular_songs_heard{
        position: absolute;
        top: 36%;
        left:0;
        margin-left: 10px;
        display: none !important;
        /* padding-right: 5px; */
        /* margin-left: 3rem; */
    }
    .playing_artist{
        display: none;
    }
    
    .popular_artist{
        position: absolute;
        top:50%;
        left:0;
        width: 100%;

    margin-left: 5px;
    padding: 5px;
    }
    .popular_artist_heard{
        position: absolute;
        top: 52%;
        left: 0%;
        margin-left: 10px;
        display: none !important;
    }
    .diplay_artist{
        position: absolute;
        top:5%;
        left: 0;
        /* background: red; */
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: row;
        justify-content: center;
        /* background: red; */
        background-image: url("./bg.png");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
}
.header_img {
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    margin-top: -8px;
}

.btns {
    margin-top: 5px;
    gap: 1rem;
    padding: 0;
    display: flex;
    justify-content: center;
    margin-left: -3%;
    transform: translate(20%);
    width: 70%;
}

.display_art_img{
    display: none;
}
.art_name{
    margin-top: 3rem;
     display: flex;
     flex-direction: column;
     justify-content: flex-start;
     text-align: center;
     text-align: start;
     margin-left: 2rem;
     width: 100%;
 /*     
     background: red; */
 
 }
 .canvas{
    left: 0 !important;
 }

 body{
    background: white;
    overflow: auto;
    margin: 0;
    padding: 0;
 }

 .main_footer{
    background:transparent;
    width: 100%;
    height: 15%;
    position: fixed;
    bottom: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    box-shadow: var(--primary_color) 0px 50px 100px -20px, var(--linear_color) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}
.audio_container{
    position: relative;
    display: grid;
    grid-template-columns:  10% 70% 30%;
    width: 100%;
    background: var(--primary_color);


}
.player_button{
    background:transparent;
    color: white;
    height: 20%;
    /* padding: 5px; */
   margin-left: -10px;
    font-size: 25px !important;
    border: none;
}
.center_play{
    background: var(--linear_color) !important;
    
    width: 3rem;
    aspect-ratio: 1;
    border-radius: 50%;
    padding: 10px;
    font-size: 15px !important;
  }

.play_controls{
    /* margin-right:1.5rem ; */
    background: transparent;
    position: absolute;
    bottom: 0;
    display: flex;
    gap: 35px;
    margin-left:7px;
    margin-bottom: -15px;
    z-index: 10;
}
.controls{
    position: absolute;
    /* background: yellow; */
    left: 30%;
    top: 16%;
    transform: translateY(15%);
    gap: 1rem;
    /* background: yellow; */
    display: flex;
}
.progressbar{
    display: grid;
    grid-template-columns: 15% 70% 15%;
    position: absolute;
    left:-10%;
    width: 100%;
    bottom: 0%;
    margin-bottom: -5rem;
    transform: translateY(25%);
    /* margin-right: 1rem; */
    background: var(--backroud_color);
    padding: 15px;
}
.progress{
    height: 20%;
    margin-left: -10px;

}
.progress_after{
    width: 5%;
}
/* .progress{
    padding-bottom: ;
} */
.volume{
    position: absolute;
    margin-top: -6rem;
    transform: translateY(25%);
    font-size: 14px !important;
    color: white;
    font-weight: 900;
    margin-left: 0.5rem;
   left: 0;
    /* border: 2px solid red; */
    bottom: 0;
    width: 80%;
    background: transparent;
    height: 5vh;
    z-index: 10;
    display: grid;
    grid-template-columns: 20% 80%;
    padding-top: 15px;
      margin-left: 1rem;
    /* transform: rotate(-90deg); */
}

.v_progress{
    width: 100%;
    height: 20%;
    background: var(--active);
    position: relative;
    margin-top: 3.5%;
    /* transform: rotate(-90deg); */
}
.v_icon{
    margin-left:30px;
    margin-top: -6%;
    font-size: 20px;
}

.v_befor{
    content: "";
    width: 1%;
    height: 100%;
    background: var(--linear_color);
    position: absolute;
    border-radius: 20px;
    /* transform: rotate(-90deg); */
}

.v_after{
    content: "";
    width: 5%; /* Width and height are equal for a circle */
    aspect-ratio: 1;
    border: 2px solid var(--primary);
    position: absolute;
    border-radius: 50%; /* Use 50% for a circle */
    top: 50%; /* Adjust top position to center vertically */
    transform: translateY(-50%);
    left: 2%; /* Adjust left position to center horizontally */
    /* transform: rotate(-90deg); */
}
.time_remaining{
    margin-left: 2px;
    color: white;
    font-size: 17px !important;
    margin-top: -15%;
    font-weight: 900;
}
.counting_timer {
    color: white;
    font-size: 17px !important;
    margin-left: 4px;
    margin-top: -13%;
    font-weight: 900;
}
canvas {
  
    color: var(--primary);
    bottom: 0;
    left:0%;
  }
    }

    @media (min-width: 481px) and (max-width: 767px)  and (orientation: landscape)  {

        .wrapper{
          display: none;
        }
  
        body{
          background: var(--primary_color);
          position: relative;
        }
        body::before{
          position: absolute;
          height: 40%;
          width: 90%;
          top: 15%;
          background: var(--linear_color);
          color: white;
          font-size: 25px;
          padding-top: 20%;
          text-transform: uppercase;
          font-weight: 900;
          content: "Landscape mode not available";
          text-align: center;
  
        }
      }
    
      @media (min-width: 768px) and (max-width: 915px) and (orientation: landscape) {

        .wrapper{
            display: none;
          }
    
          body{
            background: var(--primary_color);
            position: relative;
          }
          body::before{
            position: absolute;
            height: 40%;
            width: 90%;
            top: 15%;
            background: var(--linear_color);
            color: white;
            font-size: 25px;
            padding-top: 20%;
            text-transform: uppercase;
            font-weight: 900;
            content: "Landscape mode not available";
            text-align: center;
    
          }
      }


      @media (min-width: 915px) and (max-width: 1024px) and (orientation: landscape) {
        .play_controls {
            display: flex;
            gap: 22px;
            margin-bottom: 20px;
            margin-left: -22px;
        }
        .progress {
            width: 90%;
            height: 30%;
            background: var(--active);
            position: relative;
            margin-top: 2.4%;
            margin-left: 15px;
        }
        .time_remaining {
            margin-left: -7px;
            color: white;
        }
        .v_icon {
            margin-left: 18px;
            margin-top: -4%;
        }
        .popular_artist {
            position: absolute;
            top: 58%;
            left: 25%;

        }
        .popular_artist_heard {
         
            top: 60%;
       
        }
        .popular_songs {
            position: absolute;
            top: 34%;
        }
        .popular_songs_heard {
            top: 37%;
        }
        .artist_content span {
            font-size: 9px;
        }

      }
      @media screen and (min-width: 1200px) {
        .progress_after {
            content: "";
            width: 0.5rem; /* Width and height are equal for a circle */
           height: 0.5rem;
            border: 2px solid var(--primary);
            position: absolute;
            border-radius: 50%; /* Use 50% for a circle */
            top: 50%; /* Adjust top position to center vertically */
            transform: translateY(-50%);
            left: 0%; /* Adjust left position to center horizontally */
        }
        .v_after{
            content: "";
            width: 0.5rem; /* Width and height are equal for a circle */
          height: 0.5rem;
            border: 2px solid var(--primary);
            position: absolute;
            border-radius: 50%; /* Use 50% for a circle */
            top: 50%; /* Adjust top position to center vertically */
            transform: translateY(-50%);
            left: 2%; /* Adjust left position to center horizontally */
        }
        
  
      }